Subject: bug#65304: closed (Re: [PATCH v4 08/10] gnu-maintenance: Add support to rewrite version in URL path.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 26 Aug 2023 20:23:03 +0000

Your bug report

#65304: refresh can't update profanity

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
65304: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=65304
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH v4 08/10] gnu-maintenance: Add support to rewrite version in URL path.
From: Maxim Cournoyer <[email-masked]>
To: [email-masked], [email-masked], [email-masked]
Date: Sat, 26 Aug 2023 16:21:49 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Maxim Cournoyer <[email-masked]> writes:

> Fixes <https://issues.guix.gnu.org/64015>.
> Fixes <https://issues.guix.gnu.org/65304>.
>
> Previously, the generic HTML updater would only look for the list of files
> found at the parent of its current source URL, ignoring that the URL may embed
> the version elsewhere in its path.  This could cause 'guix refresh' to report
> no updates available, while in fact there were, such as for 'libuv'.

I've now installed this series with commit
1dce88777691b7a38ad66ba58b17a9b368c11e07.

Closing!

-- 
Thanks,
Maxim

Subject: refresh can't update profanity
From: Jack Hill <[email-masked]>
To: [email-masked]
Date: Tue, 15 Aug 2023 00:26:19 -0400 (EDT)
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm using ./pre-inst-env guix from commit 
19a7a824c35eae56ce56e2a460042fb7e2129234. `guix refresh -u profanity` 
doesn't seem to be able to find the new tarball for download. However, if 
I do the update by hand, `guix build` knows how to download the tarball. 
The profanity source record looks like this:

"""
  (source
      (origin
        (method url-fetch)
        (uri
         (string-append 
"https://profanity-im.github.io/tarballs/profanity-"
                        version ".tar.gz"))
        (sha256
         (base32
          "14n45zwc6fxjargqhwqan8fyb7x0ql0hmw56rbjkjfkhpba2qmks"))))
""""

Here's refresh getting confused:

"""
$ ./pre-inst-env guix refresh -u profanity

Starting download of /tmp/guix-file.QV904d
>From https:/tarballs/profanity-0.14.0.tar.gz...
In procedure connect*: Connection refused

Starting download of /tmp/guix-file.QV904d
>From https://web.archive.org/web/20230815000443/https:/tarballs/profanity-0.14.0.tar.gz...
download failed "https://web.archive.org/web/20230815000443/https:/tarballs/profanity-0.14.0.tar.gz" 404 "NOT FOUND"
Trying to use Disarchive to assemble /tmp/guix-file.QV904d...
could not find its Disarchive specification
failed to download "/tmp/guix-file.QV904d" from "https:/tarballs/profanity-0.14.0.tar.gz"
guix refresh: warning: profanity: version 0.14.0 could not be downloaded and authenticated; not updating
"""

Best,
Jack